
Figure - Bug #111720
【Figure】【EVT】【EMC】CI02 瞬态耦合抗扰度：Pulse 1fail, 在施加干扰期间，样机断电重启，停止施加干扰
后，通过手动操作才能恢复以下功能：1.A2B, 2网口Ping, 3. BT/WIFI 连接。不满足标准要求的自动恢复功能的
要求
2022-09-05 14:25 - 项目二组_SD3 曾小文

Status: CLOSED Start date: 2022-09-05

Priority: High Due date: 2022-10-31

Assignee: SZ HW Test-曾小文 % Done: 0%

Category: 依赖软件规避的bug Estimated time: 0.00 hour

Target version: 依赖硬件的bugList

Need_Info: -- Found Version: 2022.08.25

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: wifi自动连接进行修改��网络共存和wifi连接做了修改

Description

CI02 瞬态耦合抗扰度：Pulse 1fail, 在施加干扰期间，样机断电重启，停止施加干扰后，通过手动操作才能恢复以下功能：1.A2B, 2网

口Ping, 3. BT/WIFI 连接。不满足标准要求的自动恢复功能的要求

History

#1 - 2022-09-14 11:33 - CD TPM-申艳艳

- Category set to EE

#2 - 2022-09-14 13:46 - SZ HW Test-曾小文

- Category changed from EE to BSP

- Assignee set to CD BSP-唐金泽

硬件确认这为软件问题，需要优化软件

#3 - 2022-09-16 15:21 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to SZ HW Test-曾小文

请问，CI02 瞬态耦合抗扰度 是做什么操作？

通过手动操作才能恢复以下功能，进行什么手动操作？

硬件确认这为软件问题：

可以提供一些硬件判定的细节吗？

#4 - 2022-09-23 17:04 - IOT-SP-TEST 刘颖

- Due date set to 2022-09-26

用陈杰提供的MOT的版本测试；

#5 - 2022-09-26 11:11 - SZ HW Test-曾小文
- Assignee changed from SZ HW Test-曾小文 to SZ-硬件二组_SD3 王苗

#6 - 2022-10-24 11:09 - SZ-硬件二组_SD3 王苗

- Status changed from New to ASSIGNED

- Assignee changed from SZ-硬件二组_SD3 王苗 to CD BSP-陈杰

目前存在问题1.以太网连接下，重启机器需要wifi自动连接；2.CAN需要自动连接而且数据自动收发；软件办公室自测OK后，去实验室复测

#7 - 2022-10-26 19:36 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to SZ-硬件二组_SD3 王苗

目前已经完成wifi和以太网共存功能，并已经测试成功。can功能目前测试能自动连接，并实现收发。需注意，使用canfd工具的时候，当设备断电时，不

能点击自动发送，待设备上电，才能进行自动发送，原因是can盒子发送一次超时后，就需要断开连接在进行连接。

#8 - 2022-10-27 19:41 - IOT-SP-TEST 刘颖

- Due date changed from 2022-09-26 to 2022-10-31

- Target version set to 依赖硬件的bugList

TO 王成，

1、请用最新版本验证，当WiFi和以太网共存时，WiFi是否可以自动连接；需要的功能是WiFi可以自动连接。

2、如果验证OK，请将此问题转给曾小文，最终在实验室确认。

#9 - 2022-11-10 10:02 - CD BSP-唐金泽

- Category changed from BSP to 依赖软件规避的bug

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from SZ-硬件二组_SD3 王苗 to SZ HW Test-曾小文

#10 - 2022-11-16 19:18 - CD BSP-唐金泽

- Status changed from RESOLVED to VERIFIED

- Resolution changed from -- to FIXED

- Root cause set to wifi自动连接进行修改

网络共存和wifi连接做了修改

#11 - 2022-11-17 16:10 - SZ HW Test-曾小文

待EVT2样机在实验室复测OK后再关闭BUG

#12 - 2022-12-12 10:31 - SZ HW Test-曾小文

- Status changed from VERIFIED to CLOSED

EVT2用可自动连接的CANOE,以及软件版本可自动连接WiFi，CAN，复测PASS
